---
Name: "bootstrap-grafana"
Description: "Start the grafana service running in a resource broker"
Documentation: |
  Start the grafana service running in a resource broker

Meta:
  icon: "docker"
  color: "orange"
  title: "Digital Rebar Community Content"
  copyright: "RackN 2021"
  feature-flags: "sane-exit-codes"
ExtraClaims:
  - scope: "resource_brokers"
    action: "*"
    specific: "*"
  - scope: "machines"
    action: "*"
    specific: "*"
  - scope: "work_orders"
    action: "*"
    specific: "*"
Prerequisites:
  - bootstrap-contexts
Templates:
  - Name: "grafana-service.sh"
    Contents: |-
      #!/usr/bin/env bash
      # RackN Copyright 2022

      set -e
      {{template "setup.tmpl" .}}

      echo "Setting up Grafana Service"
      if ! drpcli resource_brokers exists Name:grafana-service >/dev/null 2>/dev/null ; then
        drpcli resource_brokers create '{
          "Name": "grafana-service",
          "Description": "Created automatically by bootstrap-contexts task",
          "Context": "grafana-runner",
          "Meta": {
            "BaseContext": "grafana-runner",
            "icon":"object ungroup outline",
            "color":"blue"
          }
        }' >rb.json
        ID=$(jq -r .Uuid rb.json)
        drpcli resource_brokers update Name:grafana-service '{"WorkOrderMode":true,"Locked":true}' >/dev/null
        drpcli resource_brokers work_order add Name:grafana-service - >/dev/null <<EOF
      ---
      Meta:
        workorder-owner: $ID
        workorder-owner-type: resource_brokers
        workorder-action: work
      Blueprint: grafana-run
      EOF
      else
        echo "  Broker grafana-service already exists"
      fi

      echo "done"
      exit 0
